Обновление vi*-пакетов может доставить некоторые неудобства. Перед обновлением самым оптимальным будет выполнить rm /usr/bin/{view/rview}.
В связи с ограничениями пакмана при проверки конфликта во время замены директории на одноимённый файл, обновление dovecot до версии 1.1.14-1 придётся произвести в ручном режиме. Для успешного разрешения конфликта достаточно выполнить pacman -Sf dovecot. Не забудьте взглянуть на изменения в схеме размещения файлов и в содержимом /etc/dovecot/dovecot-example.conf.
Xorg-server 1.6.0 и соответствующие драйвера переезжают в . Релиз ознаменован возможностью настройки свойств устройств ввода, DRI2 и установкой видеорежима ядром (kernel modesetting или KMS). Имейте ввиду, что на данный момент DRI2 и KMS реализованы только в драйверах Intel.
Появился новый драйвер: xf86-video-intel-legacy. Это старый драйвер intel, пропатченный для совместимости с последней версией xorg-server. Рекомендуется использовать если возникнут проблемы с новым драйвером.
Тем, кто до сих пор использует xorg-server 1.4.2, рекомендуется обновиться и заменить драйвера intel или i810 на legacy.
  • Некоторые темы номера:
    Традиционный обзор публикаций про Арч
  • Новости разработки
  • Интервью: Tobias Powalowski
  • Интервью: Arch Linux Games Project
  • Статьи про screen, stunnel, nice.
Newsletter for April, 2009
Здравствуйте, доверчивые пользователи Арч Линукса! Мы рады сообщить вам, что предыдущая новость была первоапрельской шуткой, талантливо разыгранной разработчиками и модераторами форума.
Как ни странно, шутка возымела полезное действие. Некоторые пользователи с удивлением обнаружили, что они являются счастливыми обладателями 64-разрядных процессоров и установили у себя arch64. Этот шаг приветствуется! Наращивайте базу пользователей 64-разрядных систем, мотивируя разработчиков ПО (таких как Adobe, например) к портированию своих продуктов на эту архитектуру.
Команда разработчиков приносит свои извинения за возможные неудобства, которые эта шутка могла доставить, но не стоит забывать, что это было всё-таки 1-е апреля ;)
Не так давно разработчики обсуждали возможность дополнительной оптимизации для архитектуры i686 чтобы улучшить поддержку мультимедиа. Это привело бы к ухудшению совместимости со старыми системами. Как некоторые из вас могли уже слышать, по результатам этой дисскуссии (перевод) было решено сконцентрировать усилия на архитектуре x86_64. Общее мнение разработчиков заключается в том, что arch64 на данным момент полностью готов к использованию, и, в соответствии с философией Arch'а, надо поддерживать только современное поколение оборудования. Архитектура x86_64 доступна с 2002 (i686 с 1995) и мы уверенны в том, что большинство i686 пользователей обладаю x86_64-совместимым оборудованием.

Оффициальная дата прекращения поддержки i686 на данный момент не определена, но вскоре последует оффициальное заявление, раз уж произошла утечка информации в бразильское сообщество ArchLinux. С большой долей вероятности, обновление больших программных продуктов (GNOME, KDE, Xorg, и т.п.) для архитектуры i686 собираться не будет. Тем не менее, у пользователей остаётся возможность собирать i686-пакеты через ABS. Т.к. большинство архитектуро-специфичных патчей делается для x86_64, сборка для i686 должна проходить без проблем.

P.S. Нишеброды могут посмотреть на календарь и выдохнуть ;) (прим. переводчика).
Как уже многие наверное заметили, драйвер ATI catalyst был перемещён в AUR. Это было сделано из-за отсутствия вменяемой поддержки Линукса со стороны ATI и логично последовавшего за этим падения интереса мантейнеров Арча к поддержке драйверов от ATI. AMD сделало немало для Линукс-сообщества и постепенно улучшало поддержку, но это происходило не в плоскости поддержки дистрибутивов Линукса.
С настоящего момента официально поддерживаются только xf86-video-ati и the xf86-video-radeonhd. Оба драйвера являются качественными, стабильно развивающимися и хорошо документированными в archwiki. Разработчики рекомендуют пользоваться xf86-video-ati, как наиболее частообновляемым.
Пакеты catalyst и catalyst-utils находятся в AUR под присмотром пользователя “draje”. Он обновил пакеты до версии 9.4, которая была предоставлена Ubuntu для релиза xorg-server 1.6. Эти пакеты, соответственно, теперь зависят от xorg-server 1.6 из , который, кстати, скоро переедет в .
Разработчики приносят свои наиглубочайшие извинения за неудобства, связанные с ситуацией вокруг ATI catalyst. Было бы неправильно держать xorg-server 1.6 в из-за единственного проприетарного драйвера.
На субботу 21-го марта намечено проведение дня противодействия нарастающему количеству багов на нашем баг-треккере. Разработчики подчистят устаревшие и неактуальные сообщения о багах, исправят те, к которым уже есть фиксы и патчи, и обсудят все “за” и “против” внедрения нового функционала. Вы можете внести свои предложения в примерный список намеченных дел.
Присоединяйтесь к каналу #archlinux-bugs на irc.freenode.net 21-го марта. Мы все живём в разных временных поясах, поэтому с большой вероятностью Вы сможете застать на канале кого-то из разработчиков.
  • Краткое содержание:
    Обзор публикаций про Арч
  • Интервью: Pierre Schmitz
  • Страсти по Catalyst'у
  • Новости сообщества, скриншот месяца
  • Статья про GNU wget
  • Трюки c ssh и bash prompt'ом
Newsletter for March, 2009
В грядущей версии xorg-server будет убрано множество костылей и патчей. В результате упростится структура пакета. При обновлении до xorg-server-1.6 на большинстве систем Вы увидите ошибку:
error: failed to prepare transaction (conflicting files)
xorg-server: /usr/lib/xorg/modules/extensions/libdri.so exists in filesystem
xorg-server: /usr/lib/xorg/modules/libwfb.so exists in filesystem
Ничего страшного, перезапишите файлы принудительно. Символьные ссылки создавались ранее в post_install пакетами xorg-server и nvidia-utils. Рекомендуется обновлять xorg-server в следующей последовательности: сначала pacman -Sf xorg-server, потом pacman -Su.
Этот релиз xorg-server требует пересборки всех драйверов для видео и устройств ввода. Драйвера из наших репозиториев будут пересобраны.
Nvidia обновила свои последные драйвера для поддержки этой версии xorg-server. Catalyst AMD пока xorg-server-1.6 не поддерживает. Счастливым владельцам видеокарт от AMD рекомендуется перейти на xf86-video-ati или xf86-video-radeonhd, ну или запретить обновления X.Org пакетов через опцию IgnorePkg в pacman.conf:
IgnorePkg=xorg-server 
Все прочие пакеты будут настроены соответствующим образом на конфликты, так что будет достаточно легко понять, что именно ещё нужно будет добавить в IgnorePkg (опять амдешникам “повезло” – прим. переводчика).
Учтите, что старые версии xorg-server не будут поддерживаться после перемещения этого пакета в !
Файл USB образа archlinux-2009.02-ftp-i686.img был поломан, поэтому сделан новый archlinux-2009.02-2-ftp-i686.img. Приносим извинения за неудобства.
Также созданы новые торренты, по одному на каждый файл и добавлены новые зеркала в webseed. Раздавайте только новые торренты!

P.S. Спасибо за перевод важной новости в моё отсутствие! – cucullus
“Мы с гордостью объявляем релиз новых установочных образов Arch Linux, версия 2009.02. Нам потребовалосьнекоторое время, но мы считаем, что результат того стоит - мы добавили некоторые классные вещи и устранили некоторые долгосрочные несовершенства”.

Arch Linux 2009.02 поставляется со следующими возможностями:

* ядро Linux 2.6.28;
* поддержка ext4, установка будет выполнена на ext4 root разделе;
* восстановление и поддержание возможностей для ext4 root разделов;
* запасные ISO с загрузчиком ISOLINUX, для тех у кого проблемы с загрузкой GRUB-based образов;
* исправлены некоторые ошибки в инсталляторе;
* несет включенную документацию в актуальном состоянии;
* включение AIF (Arch Linux Installation Framework) инсталлятора следующего поколения, в настоящее время в стадии разработки.

http://www.archlinux.org/news/434/
  • В этом номере:
    Новости с декабря по февраль
  • Несколько обзоров Арча
  • Интервью: Jan de Groot
  • Статья про GNU tar
Newsletter for February, 2009
Сегодня, января 27-го дня, тихо и незаметно вышел KDE 4.2.0. В связи с этим, все kde-пакеты перемещаются из в .
Перед обновлением рекомендуется закрыть все kde-приложения и сохранить конфигурацию (~/.kde4).
Старые плазмоиды могут не работать с новой Плазмой.
Список изменений: http://www.kde.org/announcements/4.2/.
Обо всех проблемах сообщать как обычно: а именно на баг-треккер и на список рассылки arch-general.
Успехов!
Сформирована команда разработчиков, ответственных за выпуск ISO-релизов. Цель команды – поддержка инструментария для установки дистрибутива и выпуск установочных ISO-образов, приуроченных к выходу новых версий ядра.
  • В команду вошли:
    Aaron Griffin
  • Gerhard Brauer (GerBra - ISO и инсталлятор)
  • Dieter Plaetinck (Dieter@be - инсталлятор/AIF)
Всем заинтересованным личностям обращаться на новый список рассылки.
Также создан новый раздел в баг-треккере.
Для замены некоторых netkit-пакетов, неподдерживаемых разработчиками, в был добавлен новый пакет netutils-1.6-2.
  • В нём содержатся следующие клиенты и демоны:
    ftp/ftpd
  • rexec/rexecd
  • rlogin/rlogind
  • rsh/rshd
  • talk/talkd
  • telnet/telnetd
  • rcp
  • Таким образом, netutils-1.6-2 заменяет следующие пакеты:
    core/netkit-telnet
  • extra/netkit-ftp
  • extra/netkit-rsh
Также netkit-tftp будет заменён на tftp-hpa. Inetutils ещё содержит клиента и сервер tftp. На данный момент они не включены, но, если трудящиеся озвучат соответствующий запрос, могут быть выложены отдельным пакетом. Не забудьте обновить свои настройки и конфигурации!
Andrea, известный под ником BaSh, будет заниматься упаковкой/поддержкой KDE.
С недавних пор он начал присматривать за Bug Tracker'ом, а до этого некоторое время являлся TU.
В новой версии pacman-3.2.1-2 mirrorlist вынесен в отдельный пакет pacman-mirrorlist. Это позволит обновлять список зеркал более регулярно и независимо от самого пакмана. В процессе обновления файл /etc/pacman.d/mirrorlist будет переименован в mirrorlist.pacorig, а на его место будет помещёна новая версия. Не забудьте внести изменения! (А лучше, создайте свой собственный файл, – прим. переводчика).
В стройные ряды разработчиков влился новый персонаж Geoffroy Carrier (gcarrier). Он будет заниматься поддержкой bluetooth-пакетов. Geoffroy участвовал в разработке pacman'а и является TU с мая месяца.
При создании некоторых форматов в последней версии texlive-core новые правила расстановки переносов могут приводить к исчерпанию ресурсов TeX'а (ваш непокорный слуга не силён в теховской терминологии и просит прощения за возможные неточности перевода, – прим. переводчика). В файле /usr/share/texmf/web2c/texmf.cnf замените строку:
trie_size = 600000
на
trie_size = 700000
потом запустите:
sudo fmtutil-sys --missing
и всё будет ок.